<?php

namespace App\ViewModels\PagSeguro\PagSeguroResponseViewModel;

use App\Utils\Builder;

class PagSeguroChargesViewModelBuilder implements Builder {
	protected $charges;

	public function build(): PagSeguroChargesViewModel {

		$obj = new PagSeguroChargesViewModel();

		$obj->setCharges( $this->charges );

		return $obj;

	}

	/**
	 *
	 * @param mixed $charges
	 */
	public function setCharges($charges): PagSeguroChargesViewModelBuilder {

		$this->charges = $charges;
		return $this;

	}

}

